# ComplexPrimitive Class Reference
[Base data types used in Form, Classes implemented in PHP's extension.]

Basis for primitives which can be scattered across import scope. More...

Inheritance diagram for ComplexPrimitive:
[legend]

List of all members.

## Public Member Functions

| __construct ($name)
| getState ()
| setState (Ternary $ternary)
| setSingle ()
| setComplex ()
| setAnyState ()
| import ($scope)
| exportValue ()

## Protected Member Functions

| importSingle ($scope)
| importMarried ($scope)

## Private Attributes

| $single = null

## Detailed Description

Basis for primitives which can be scattered across import scope.

Definition at line 18 of file ComplexPrimitive.class.php.

## Constructor & Destructor Documentation

ComplexPrimitive::__construct | ( | $ | name | ) |

Reimplemented from BasePrimitive.

Definition at line 22 of file ComplexPrimitive.class.php.

References BasePrimitive::$name.

## Member Function Documentation

ComplexPrimitive::exportValue | ( |  | ) |

Reimplemented from BasePrimitive.

Reimplemented in PrimitiveDate.

Definition at line 99 of file ComplexPrimitive.class.php.

ComplexPrimitive::getState | ( |  | ) |

Returns:
  Ternary

Definition at line 31 of file ComplexPrimitive.class.php.

Referenced by PrimitiveDate::exportValue(), PrimitiveDate::importValue(), PrimitiveTime::isEmpty(), and PrimitiveDate::isEmpty().

ComplexPrimitive::import | ( | $ | scope | ) |

Reimplemented from BasePrimitive.

Reimplemented in PrimitiveTime.

Definition at line 80 of file ComplexPrimitive.class.php.

References BasePrimitive::import(), importMarried(), importSingle(), and Assert::isUnreachable().

Here is the call graph for this function:

ComplexPrimitive::importMarried | ( | $ | scope | ) | `[abstract, protected]`

Reimplemented in PrimitiveDate, PrimitiveRange, PrimitiveTime, and PrimitiveTimestamp.

Referenced by import().

ComplexPrimitive::importSingle | ( | $ | scope | ) | `[abstract, protected]`

Reimplemented in PrimitiveDate, PrimitiveRange, and PrimitiveTime.

Referenced by import().

ComplexPrimitive::setAnyState | ( |  | ) |

Returns:
  ComplexPrimitive

Definition at line 69 of file ComplexPrimitive.class.php.

ComplexPrimitive::setComplex | ( |  | ) |

Returns:
  ComplexPrimitive

Definition at line 59 of file ComplexPrimitive.class.php.

ComplexPrimitive::setSingle | ( |  | ) |

Returns:
  ComplexPrimitive

Definition at line 49 of file ComplexPrimitive.class.php.

ComplexPrimitive::setState | ( | Ternary $ | ternary | ) |

Returns:
  ComplexPrimitive

Definition at line 39 of file ComplexPrimitive.class.php.

References Ternary::getValue().

Here is the call graph for this function:

## Member Data Documentation

ComplexPrimitive::$single = null`[private]`

Definition at line 20 of file ComplexPrimitive.class.php.

The documentation for this class was generated from the following file:

- core/Form/Primitives/ComplexPrimitive.class.php